Bug 120005 - Should sendmail be allowed to read /dev/[u]random ?
Should sendmail be allowed to read /dev/[u]random ?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-04 22:40 EDT by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-14 17:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-04-04 22:40:16 EDT
audit(1081132553.790:0): avc:  denied  { read } for  pid=2605
exe=/usr/sbin/sendmail.sendmail name=urandom dev=hda2 ino=2689265
scontext=system_u:system_r:sendmail_t
tcontext=system_u:object_r:urandom_device_t tclass=chr_file
audit(1081132553.790:0): avc:  denied  { read } for  pid=2605
exe=/usr/sbin/sendmail.sendmail name=random dev=hda2 ino=2684000
scontext=system_u:system_r:sendmail_t
tcontext=system_u:object_r:random_device_t tclass=chr_file

kernel-2.6.4-1.305 policy-sources-1.9.2-9 sendmail-8.12.11-4.4
Comment 1 Daniel Walsh 2004-04-05 10:54:15 EDT
Yes.

It will be in policy-1.9.2-12

Dan

Note You need to log in before you can comment on or make changes to this bug.